function [ robot ] = robotInit( robotName, portNumber )
    robot = {};
    robotName = strrep(robotName, 'http://', '');

    if nargin == 1
        port = '8080';
    else
        port = sprintf('%d',portNumber);
    end
    robot.url = ['http://' robotName ':' port];
    robot.iface = redstone.xmlrpc.XmlRpcClient(robot.url, 0);